> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Toast events table

> Get list of Toast orders to populate events table



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getToastEventsTable
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getToastEventsTable:
    post:
      tags:
        - Report Webservice
      summary: Get Toast events table
      description: Get list of Toast orders to populate events table
      operationId: getToastEventsTable
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Integration_GetToastEventsTableWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integration_GetToastEventsTableWSResponse'
          description: OK
components:
  schemas:
    Integration_GetToastEventsTableWSRequest:
      type: object
      properties:
        businessDate:
          type: string
          nullable: true
        restaurantGuid:
          type: string
          nullable: true
    Integration_GetToastEventsTableWSResponse:
      type: object
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        eventTable:
          type: array
          items:
            $ref: >-
              #/components/schemas/Integration_GetToastEventsTableWSResponse_EventTableRow
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Integration_GetToastEventsTableWSResponse_EventTableRow:
      type: object
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        employeeName:
          type: string
          nullable: true
        orderGuid:
          type: string
          nullable: true
        paymentType:
          type: string
          nullable: true
        restaurantName:
          type: string
          nullable: true
        revenueCenterName:
          type: string
          nullable: true
        serviceAreaName:
          type: string
          nullable: true
        timestamp:
          type: string
          nullable: true
        tipAmount:
          type: string
          nullable: true
        totalAmount:
          type: string
          nullable: true
        totalDiscountAmount:
          type: string
          nullable: true
        voided:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````